/// <reference types="react" />
import SvgStatusSuccess from '@itwin/itwinui-icons-react/esm/icons/StatusSuccess';
import SvgStatusError from '@itwin/itwinui-icons-react/esm/icons/StatusError';
import SvgStatusWarning from '@itwin/itwinui-icons-react/esm/icons/StatusWarning';
import SvgInfoCircular from '@itwin/itwinui-icons-react/esm/icons/InfoCircular';
import './StatusIcon.scss';
declare const StatusIconMap: {
    readonly success: typeof SvgStatusSuccess;
    readonly error: typeof SvgStatusError;
    readonly warning: typeof SvgStatusWarning;
    readonly informational: typeof SvgInfoCircular;
};
export declare const StatusIcon: ({ status, className, ...rest }: {
    status: keyof typeof StatusIconMap;
    className?: string | undefined;
}) => JSX.Element;
export {};
